Subject: 2nd submission of a printing problem.

From: Tom Arseneault <[email-masked]>
Date: Fri, 18 Apr 1997 19:28:57 -0700 (PDT)

This is the 2nd submission because I did not see any response from my first one 
and I have some new info.

Problem: I can't print from any mac to a netatalk 1.3.3 server.

Specifics: 
SparcIPX running 4.1.3_U1 SunOS. 
Macs IIcx and PowerMac 7600 runing 7.5 
printcap entry:

# ek320
ek320:\
        :lf=/var/log/ek320-log:\
        :lp=:\
        :rm=toronto:\
        :mx#0:\
        :rp=ek320:\
        :sd=/usr/spool/lpr/ek320:

papd.conf entry:

# A test printer
ek320:\
        :pr=ek320:op=nodody:pd=/opt/netatalk/lib/ppd/snsprec1.ppd:

Short description of what I see:

When the mac prints I see it looking for ek320 and then it says "sending to 
toronto" forever until it times out. I see this in the /var/adm/lpd-errs file:

Apr 18 18:12:52 test6-0 papd[116]: child 286 for "ek320" from 2110.22
Apr 18 18:19:51 test6-0 papd[286]: connection timed out

nothing in /var/adm/messages, /var/log/syslog, or /var/log/ek320-log. I print 
just fine from Unix to this printer. I also tried a papd.conf entry of just:

ek320:\
        :pr=ek320:
        
no difference. I tried using pap to print to the printer and got this:

command line:

test6-0# /opt/netatalk/bin/pap -p ek320 /etc/motd
Trying 2006.27:129 ...
sending to toronto

Connected to ek320:LaserWriter@*.
Connection closed.

/var/adm/lpd-errs:

Apr 18 18:52:28 test6-0 papd[116]: child 213 for "ek320" from 2006.27
Apr 18 18:52:28 test6-0 papd[213]: lp_print queued
Apr 18 18:52:28 test6-0 papd[116]: child 213 done

still nothing comes out.

The server is a freshly build right off the CDRom system with TCP wrappers 
installed along with some local sendmail things. We run NIS, DNS, and 
automounter. The PPD file is a windows file (the man page was very unclear on 
exactly what to do here). I added the services.atalk to both the NIS database 
and the local /etc/services file and remade the NIS. Here is the line from my 
rc.atalk that starts up papd:

if [ -f ${ATALKDIR}/etc/papd ]; then
        ${ATALKDIR}/etc/papd;           echo -n ' papd'
fi

I get no error messages during boot. File shareing works like a champ.

<vent on>
There is nothing I hate more than something that everyone else runs just fine 
fails silently for me. If it were not for the fact that it is faster and 
supports more file types then Cap I'd chuch the whole thing and go bac to Cap.
<vent off>

Any help would be much appriciated.

Tom Arseneault
[email-masked]
Sr. System Admin
SRI International